# $Revision: 1.18 $, $Date: 2002/05/24 14:43:56 $
Summary:	GNOME2 - virtual file system
Summary(pl):	GNOME2 - wirtualny system plikw
Name:		gnome-vfs2
Version:	1.9.16
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-vfs/gnome-vfs-%{version}.tar.bz2
Patch0:		%{name}-am15.patch
Patch1:		%{name}-rm_GNOME_COMMON_INIT_and_GNOME_PLATFORM_GNOME_2.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 1.1.10
BuildRequires:	ORBit2-devel >= 2.3.108
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bonobo-activation-devel >= 0.9.9
BuildRequires:	bzip2-devel
BuildRequires:	fam-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.0.1
BuildRequires:	gnome-mime-data-devel >= 1.0.8
BuildRequires:	libbonobo-devel >= 0.116.0
BuildRequires:	libtool >= 1.4.2-10
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/GNOME2

%description
GNOME2 Virtual File System library.

%description -l pl
Biblioteka Wirtualnego Systemu Plikw GNOME2.

%package devel
Summary:	gnome-vfs2 - header files
Summary(pl):	gnome-vfs2 - pliki nagwkowe
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains header files for gnome-vfs2 library.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe biblioteki gnome-vfs2.

%package static
Summary:	gnome-vfs2 - static libraries
Summary(pl):	gnome-vfs2 - biblioteki statyczne
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This package contains static gnome-vfs2 libraries.

%description static -l pl
Pakiet ten zawiera biblioteki statyczne gnome-vfs2.

%prep
%setup -q -n gnome-vfs-%{version}
%patch0 -p1
%patch1 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal
%{__autoconf}
%{__automake}
%configure \
	--disable-gtk-doc
%{__make}

gzip -9nf AUTHORS ChangeLog NEWS README

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang gnome-vfs-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   
/sbin/ldconfig
GCONF_CONFIG_SOURCE="" /usr/X11R6/bin/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/*.schemas > /dev/null

%postun -p /sbin/ldconfig

%files -f gnome-vfs-2.0.lang
%defattr(644,root,root,755)
%doc *.gz
%{_sysconfdir}/gnome-vfs-2.0
%{_sysconfdir}/gconf/schemas/*
%attr(755,root,root) %{_libdir}/*.so.*.*
%dir %{_libdir}/gnome-vfs-2.0
%dir %{_libdir}/gnome-vfs-2.0/modules
%attr(755,root,root) %{_libdir}/gnome-vfs-2.0/modules/*.??
%attr(755,root,root) %{_libdir}/vfs
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo/monikers/*.??

%files devel
%defattr(644,root,root,755)
%doc %{_datadir}/gtk-doc/html/gnome-vfs-2.0
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%{_includedir}/gnome-vfs-2.0
%{_includedir}/gnome-vfs-module-2.0
%{_libdir}/gnome-vfs-2.0/include
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/gnome-vfs-2.0/modules/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnome-vfs2.spec,v $
Revision 1.18  2002/05/24 14:43:56  wiget
release 1

Revision 1.17  2002/05/24 14:36:04  wiget
updated to 1.9.16

Revision 1.16  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/05/14 21:05:53  kloczek
- release 1.

Revision 1.14  2002/05/14 21:02:23  kloczek
- added full regenerate ac/am/lt files,
- add am15 patch,
- added rm_GNOME_COMMON_INIT_and_GNOME_PLATFORM_GNOM_2 patch which removes
  from configure.in using macrs:
-- GNOME_COMMON_INIT: defines wariables by this which isn't enywhere used,
-- GNOME_PLATFORM_GNOM_2: using this macro is dumb because gnome-vfs2 can't
   be used without GNOME 2.x librariies and rest configure.in do not uses
   conditionaly for detecting libraties pkgconfig or not (always is used
   pkgconfig),
- move gzipping %doc files to %build (now spec file is --short-circuit ready).

Revision 1.13  2002/05/14 11:08:59  wiget
BR: glib2 >= 2.0.1 not 2.0.2

Revision 1.12  2002/05/14 09:58:27  ankry
- fixed path in source URL

Revision 1.11  2002/05/14 09:50:02  wiget
force tested build env.

Revision 1.10  2002/05/14 07:52:35  wiget
- updated to 1.9.15
- added missing monikers
- libtoolize fix relinking problem

Revision 1.9  2002/04/30 12:26:15  michuz
- updated to 1.9.14

Revision 1.8  2002/04/26 14:35:33  michuz
- updated to 1.9.12

Revision 1.7  2002/04/25 16:27:15  arturs
fixed a small typo

Revision 1.6  2002/04/18 18:22:10  misiek
- fixed url

Revision 1.5  2002/04/18 15:34:11  michuz
- removed patch0

Revision 1.4  2002/04/13 12:10:40  michuz
- updated to 1.9.11

Revision 1.3  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 20:11:37  qboosh
- s/pld-list/feedback/

Revision 1.1  2002/01/18 15:54:12  misiek
- initial pld release; nfy - problematical (conflict with gnome-vfs-1.0)
